Create a feature
curl --request POST \
--url https://api.arcenpay.com/api/v1/features \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Analytics Export",
"featureKey": "analytics_export",
"featureType": "boolean",
"eventKey": "export_generated",
"icon": "bar-chart-2",
"description": "Ability to export reporting data to CSV and PDF"
}
'import requests
url = "https://api.arcenpay.com/api/v1/features"
payload = {
"name": "Analytics Export",
"featureKey": "analytics_export",
"featureType": "boolean",
"eventKey": "export_generated",
"icon": "bar-chart-2",
"description": "Ability to export reporting data to CSV and PDF"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Analytics Export',
featureKey: 'analytics_export',
featureType: 'boolean',
eventKey: 'export_generated',
icon: 'bar-chart-2',
description: 'Ability to export reporting data to CSV and PDF'
})
};
fetch('https://api.arcenpay.com/api/v1/features', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "cflag_01h9zabc123",
"name": "Analytics Export",
"featureKey": "analytics_export",
"featureType": "boolean",
"eventKey": "export_generated",
"icon": "bar-chart-2",
"description": "Ability to export reporting data to CSV and PDF",
"linkedPlans": [
{
"id": "<string>",
"name": "<string>",
"tier": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>"
}Features
Create a feature
Create a new feature definition in your catalog.
POST
/
features
Create a feature
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Example:
"Analytics Export"
Example:
"analytics_export"
Available options:
boolean, event, trait Example:
"boolean"
Example:
"export_generated"
Example:
"bar-chart-2"
Example:
"Ability to export reporting data to CSV and PDF"
Response
Feature created successfully
Example:
"cflag_01h9zabc123"
Example:
"Analytics Export"
Example:
"analytics_export"
Available options:
boolean, event, trait Example:
"boolean"
Example:
"export_generated"
Example:
"bar-chart-2"
Example:
"Ability to export reporting data to CSV and PDF"
Show child attributes
Show child attributes
Last modified on September 19, 2026

